#!/usr/bin/env perl
use warnings;
use strict;

use autodie;

my $package = $ARGV[0];
my $logfile = "/var/log/pacman.log";

open my $logfh, "<", $logfile;

my @dependencies = qx/pactree -l "$package" | sort -u/;
chomp(@dependencies);
die "No dependencies found. Did pactree fail?" if (@dependencies == 0);

my $re = join("|", map {quotemeta} @dependencies);
my $dependency_regex = qr/\s($re)\s/;

while (<$logfh>) {
	print if m/$dependency_regex/;
}

